#language: ru

@logistic

Функционал: 011. Logistic. Создание документов через АРМы для склада без ячеек

Сценарий: 011.1. Logistic. Создание распоряжения на приемку - АРМ Приемка готовой продукции (склад без ячеек)
	
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Приемка готовой продукции'
	Тогда открылось окно 'Приемка готовой продукции'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.09.2019'
	И в поле 'DateEnd' я ввожу текст '30.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "РабочийЦентр" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку с именем 'Добавить'
	Тогда открылось окно 'Форма выбора номенклатуры'
	И я нажимаю на кнопку 'Выбрать из справочника'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр Сулугуни' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (1 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| '000001 до 20.10.2019 0:00:00' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Введите количество'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Приемка готовой продукции'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Приемка готовой продукции'
	И Я закрываю окно 'Приемка готовой продукции'

Сценарий: 011.2. Logistic. Проверка созданного распоряжения на приемку через АРМ Приемка готовой продукции (склад без ячеек)

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий' | 'Склад'     |
		| ''            | 'Сырная ГП' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на приемку *'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'         | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' |
		| '10,000'     | 'упак (1 кг)' | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000, кг'     |
	И Я закрываю окно 'Распоряжение на приемку *'
	Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 011.3. Logistic. Создание плана отгрузки (документ) для склада без ячеек - цепочка с АРМами
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле 'Дата отгрузки' я ввожу текст '24.09.2019'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И в поле с именем 'Дата' я ввожу текст '24.09.2019  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'План отгрузки 2 для склада без ячеек (с использованием АРМов)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 011.4. Logistic. Создание на основании плана отгрузки задания на доставку - цепочка с АРМами
	
	Дано я удаляю объекты "Документы.к2ЗаданиеНаДоставку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                   |
		| 'План отгрузки 2 для склада без ячеек (с использованием АРМов)' |
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'К погрузке'
	И элемент формы "Вес" стал равен "10"
	И элемент формы с именем "ДекорацияЕдиницаИзмеренияВесТранспорт" стал равен "кг"
	И элемент формы "КоличествоМест" стал равен "10"
	И элемент формы с именем "ДекорацияЕдиницаИзмеренияМестТранспорт" стал равен "м3"
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'    | 'Государственный номер' |
		| 'А524НВ Газель' | 'А524НВ'                |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И элемент формы "Перевозчик" стал равен "Перевозчик(Газель)"
	И элемент формы "Транспортное средство" стал равен "А524НВ Газель"
	И элемент формы "Водитель" стал равен "Водитель Петров Петр"
	И в поле с именем "Дата" я ввожу текст '24.09.2019  0:00:00'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И элемент формы "Ответственный" стал равен "Администратор"
	И я перехожу к закладке "Маршрут"
	И в таблице "ДеревоМаршрута" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоМаршрута" поле "Вес" имеет значение "10,00"
	И в таблице "ДеревоМаршрута" поле "Количество мест" имеет значение "10,00"
	И я перехожу к закладке "Накладные"
	И я перехожу к закладке "Маршрут"
	И я перехожу к закладке "Основное"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание)' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 011.5. Logistic. п/ф плана отгрузки через АРМ Мониторинг отгрузки - склад без ячеек
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Мониторинг отгрузки'
	Тогда открылось окно 'Мониторинг отгрузки'
	И я разворачиваю группу "Отборы"
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.09.2019'
	И в поле 'DateEnd' я ввожу текст '30.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Мониторинг отгрузки'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Обновить дерево документов'
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус' | 'План' |
		| 'А524НВ Газель'          | ''     | ''       | ''     |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'          |
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус'    | 'План'   |
		| 'А524НВ Газель'          | ''     | ''          | ''       |
		| 'План отгрузки * от *'   | ''     | 'В наборку' | '10,000' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    |
		| '10,000' | 'В наборку' |
	И я нажимаю на кнопку 'Печать'
	Тогда открылось окно 'План отгрузки *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "План отгрузки для склада без ячеек (АРМ)" по шаблону
	И Я закрываю окно 'План отгрузки *'
	Тогда открылось окно 'Мониторинг отгрузки'
	И Я закрываю окно 'Мониторинг отгрузки'

Сценарий: 011.6. Logistic. Заполнение факта отгрузки, формирование распоряжения на отгрузку через АРМ Отгрузка для склада без ячеек
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Отгрузка'
	И я нажимаю на гиперссылку "ЗаданиеНаДоставкуПредставление"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'             | 'Время начала рейса (план)' | 'Машина'        |
		| 'Водитель Петров Петр' | '24.09.2019 0:00:00'        | 'А524НВ Газель' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на гиперссылку "ПланОтгрузкиПредставление"
	Тогда открылось окно 'Планы отгрузки'
	* Проверка отбора по складу
		И я нажимаю на кнопку '...'
		Тогда открылось окно 'Склады'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Куриная ГП'   |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Планы отгрузки'
		И я жду, что в таблице "Список" количество строк будет "равно" 0 в течение 3 секунд
	И я нажимаю на кнопку '...'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                   |
		| 'План отгрузки 2 для склада без ячеек (с использованием АРМов)' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'ВводШтрихкода'
	Тогда открылось окно 'Ввод штрихкода'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Нет'
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'Добавить номенклатуру'
	Тогда открылось окно 'Электронные весы не выбраны. Введите вес вручную'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И Я закрываю окно ''
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 011.7. Logistic. Проверка распоряжения на отгрузку сформированного через АРМ Отгрузка для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '24.09.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжения на отгрузку'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Ед.'         | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '1,000'      | 'упак (1 кг)' | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '1,000, кг'      | '2'       |
		| '9,000'      | 'кг'          | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '9,000, кг'      | '9'       |
	И Я закрываю окно 'Распоряжение на отгрузку * от *'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 011.8. Logistic. Проверка отборов для формы списка заданий на доставку

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '24.09.2020'
	И в поле 'DateEnd' я ввожу текст '24.09.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Задания на доставку'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '24.09.2019'
	И в поле 'DateEnd' я ввожу текст '24.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Задания на доставку'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Водитель'             | '(План) Начало рейса ' | 'Статус'     | 'Ответственный' | 'ТС'            |
		| '24.09.2019' | 'Водитель Петров Петр' | '24.09.2019 0:00:00'   | 'К погрузке' | 'Администратор' | 'А524НВ Газель' |
	И из выпадающего списка "Статус" я выбираю точное значение 'Формируется'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Статус" я выбираю точное значение 'К погрузке'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Водитель'             | '(План) Начало рейса ' | 'Статус'     | 'Ответственный' | 'ТС'            |
		| '24.09.2019' | 'Водитель Петров Петр' | '24.09.2019 0:00:00'   | 'К погрузке' | 'Администратор' | 'А524НВ Газель' |
	И я нажимаю кнопку выбора у поля "Водитель"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                |
		| 'Физическое лицо' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю кнопку очистить у поля "Водитель"
	И из выпадающего списка "Перевозчик" я выбираю по строке 'Обычный покупатель'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Перевозчик" я выбираю по строке 'Перевозчик(Газель)'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Водитель'             | '(План) Начало рейса ' | 'Статус'     | 'Ответственный' | 'ТС'            |
		| '24.09.2019' | 'Водитель Петров Петр' | '24.09.2019 0:00:00'   | 'К погрузке' | 'Администратор' | 'А524НВ Газель' |
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Водитель'             | '(План) Начало рейса ' | 'Статус'     | 'Ответственный' | 'ТС'            |
		| '24.09.2019' | 'Водитель Петров Петр' | '24.09.2019 0:00:00'   | 'К погрузке' | 'Администратор' | 'А524НВ Газель' |
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                          |
		| 'Типы транспортных средств' |
	И в таблице "" я перехожу к строке:
		| ''       |
		| 'Строка' |
	И в таблице "" я перехожу к строке:
		| ''                          |
		| 'Типы транспортных средств' |
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И в таблице "" я выбираю текущую строку
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю кнопку очистить у поля "Транспортное средство"
	И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Водитель'             | '(План) Начало рейса ' | 'Статус'     | 'Ответственный' | 'ТС'            |
		| '24.09.2019' | 'Водитель Петров Петр' | '24.09.2019 0:00:00'   | 'К погрузке' | 'Администратор' | 'А524НВ Газель' |
	И я нажимаю кнопку очистить у поля "Ответственный"
	И я нажимаю кнопку очистить у поля "Склад"
	И я нажимаю кнопку очистить у поля "Перевозчик"
	И я нажимаю кнопку очистить у поля "Статус"
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Задания на доставку'
	И Я закрываю окно 'Задания на доставку'

Сценарий: 011.9. Logistic. Завершение

	И Я закрыл все окна клиентского приложения